var frontImage = document.querySelector( 'div.front > img' );
var homeKey = document.querySelector( 'div.home-key > img' );
var digitizer = document.querySelector( 'div.digitizer > img' );
var backCover = document.querySelector( 'div.backcover > img' );
var outerFront = document.querySelector( 'div.out-frame-front > img' );
var outerBack = document.querySelector( 'div.out-frame-back > img' );
var midFront = document.querySelector( 'div.mid-frame-front > img' );
var midBack = document.querySelector( 'div.mid-frame-back > img' );
var midFrame = document.querySelector( 'div.frame > img' );
var outerButtons = document.querySelector( 'div.outer-button > img' );



function loadModule( src, callback )
{
    var script = document.createElement( 'script' );
    script.setAttribute( 'src', src );
    document.body.appendChild( script );

    if( callback )
    {
        script.onreadystatechange = function( )
        {
            if( script.readyState == 'loaded' || script.readyState == 'complete' ){ callback( ); } 
        }

        script.onload = function ( ){ callback( ); return; }
    } // end callback
} // end loadModule

function getColorFileName( color )
{
    var bucket = 
    {
        "aluminum":"aluminum.png",
        "black":"black-000000.png",
        "darkblue":"darkblue-00008b.png",
        "gold":"gold.png",
        "green":"green-32cd32.png",
        "lightblue":"lightblue-add8e6.png",
        "orange":"orange-ffa500.png",
        "pink":"pink-ff6984.png",
        "red":"red-ff0000.png",
        "rosegold":"rosegold.png",
        "silver":"silver.png",
        "white":"white-ffffff.png",
        "yellow":"yellow-ffff00.png"
    }

    return bucket[ color ];
}


function eventHandlers( )
{
    switch( this.parentNode.title )
    {
        case 'screen':
        {
            digitizer.src = '/images/iphone.module/digitizer/'+ getColorFileName( this.title );
            break;
        }
        
        case 'outer-front':
        {
            outerFront.src = '/images/iphone.module/outside/'+ getColorFileName( this.title );
            midFront.src = '/images/iphone.module/mid.front/'+ getColorFileName( this.title );
            break;            
        }

        case 'outer-back':
        {
            outerBack.src = '/images/iphone.module/outside/'+ getColorFileName( this.title );
            midBack.src = '/images/iphone.module/mid.back/'+ getColorFileName( this.title );
            break;
        }
        
        case 'outer-button':
        {
            outerButtons.src = '/images/iphone.module/outer.button/'+ getColorFileName( this.title );
            break;
        }
        
        case 'mid-frame':
        {
            midFrame.src = '/images/iphone.module/frame/'+ getColorFileName( this.title );
            break;
        }
        
        case 'home':
        {
            homeKey.src = '/images/iphone.module/button/'+ getColorFileName( this.title );
            break;            
        }
        
        case 'backcover':
        {
            backCover.src = '/images/iphone.module/back.cover/'+ getColorFileName( this.title );
            break;            
        }
        
        default:{ }
    }
}

loadModule( 'http://underscorejs.org/underscore-min.js', function( jQuery )
{
    _.each( document.querySelectorAll( 'div.color-select a' ), function( el, i )
    {
        el.onmouseover = function( ){ this.style.opacity = .3; }
        el.onmouseout = function( ){ this.style.opacity = 1; }
        el.onclick = eventHandlers;
    });
    
    
    var addButton = document.getElementById( 'addcart' );
    addButton.onclick = function( )
    {
        var carrier = document.querySelectorAll( 'div.options input[name="carrier"]:checked' );
        var model = document.querySelectorAll( 'div.options input[name="model"]:checked' );
        
        if( carrier.length == 0 || model.length == 0 )
        {
            alert( 'you must choose a carrier and a model to continue' );
        }
        
        else
        {
            alert( 'add iphone parts to shopping cart!!' );
        }
    }
    
    
    
    
    
    
    
    
});